/{organizationId}/{mandateId}/booking/contact/{contactId}/dataGet contact booking data
Resolves contact data and alternative communication details for an admin booking.
Required permissions:
mandate.read
booking.insert
Path Parameters
organizationIdstringrequired mandateIdstringrequired contactIdstringrequired Request Body required
Content-Type: application/json
typestringrequired Options:
eventresourceofferIdstringrequired minItems: 1
maxItems: 99
Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/booking/contact/{contactId}/data' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"type": "event",
"offerId": "string"
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
membershipRequiredbooleanrequired eligibilityErrorstring | nullrequired Additional properties are not allowed.
Response
{
"formData": {},
"membershipRequired": true,
"eligibilityError": "string",
"sources": {
"email": "string",
"phone": "string",
"address": "string"
}
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}